/*---------------------------------------------------------------------------*/
//       Author : hiyohiyo
//         Mail : hiyohiyo@crystalmark.info
//          Web : http://crystalmark.info/
//      License : The modified BSD license
//
//                                Copyright 2002- hiyohiyo All rights reserved.
/*---------------------------------------------------------------------------*/

#ifndef __SYS_INFO_H__
#define __SYS_INFO_H__

#include "ISysInfo.h"
#include "CpuInfo.h"
#include "CpuInfoID.h"

BOOL 	gFlagStatus;

class CSysInfo : public ISysInfo
{
protected:
	CCpuInfo* CPU;

public:
	CSysInfo(DWORD code){
		gFlagStatus = TRUE;
		CPU = NULL;
	//	CPU = new CCpuInfo(0x01); // ڂ CPU ̃}XN
	}

	~CSysInfo(){
		if(CPU != NULL){delete CPU;}
	}

	// ISysInfo
	char* GetInfo( DWORD ID , char* pStr );
	int	GetString( DWORD ID , char* pStr );
	int	GetData( DWORD ID , DWORD* pData );
	int	SetData( DWORD ID , DWORD Data );
};

//	COM //
/*
	ULONG RefCount;
	// IUnknown
	HRESULT QueryInterface(REFIID riid , void **ppvObj);
	ULONG AddRef();
	ULONG Release();
*/

#endif // __SYS_INFO_H__

